package com.yaka;

import javax.swing.*;
import java.awt.*;

class BorderLayoutExample implements LayoutExample {
    @Override
    public JPanel getContent() {
        JPanel panel = new JPanel();

        panel.setLayout(new BorderLayout());

        panel.add(new JButton("Prof"), BorderLayout.NORTH);
        panel.add(new JButton("Simplet"), BorderLayout.EAST);
        panel.add(new JButton("Dormeur"), BorderLayout.SOUTH);
        panel.add(new JButton("Graincheux"), BorderLayout.WEST);
        panel.add(new JButton("Joyeux"), BorderLayout.CENTER);

        return panel;
    }

    @Override
    public String getName() {
        return "Border Layout";
    }
}
